Page MenuHomePhabricator

Deprecate wfForeignMemcKey() and BagOStuff::getKeyInternal()
Closed, ResolvedPublic

Description

The last few callers should be moved away from these old methods.

Event Timeline

aaron created this task.Apr 16 2020, 4:43 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 16 2020, 4:43 PM

Change 589545 had a related patch set uploaded (by Aaron Schulz; owner: Aaron Schulz):
[mediawiki/core@master] Deprecate wfForeignMemcKey() and remove the last call

https://gerrit.wikimedia.org/r/589545

Change 589536 had a related patch set uploaded (by Aaron Schulz; owner: Aaron Schulz):
[mediawiki/extensions/Flow@master] Avoid use of wfForeignMemcKey()

https://gerrit.wikimedia.org/r/589536

Change 589545 merged by jenkins-bot:
[mediawiki/core@master] Deprecate wfForeignMemcKey() and remove the last call

https://gerrit.wikimedia.org/r/589545

Gilles moved this task from Inbox to Doing on the Performance-Team board.Apr 20 2020, 11:59 AM
Krinkle triaged this task as Low priority.Apr 21 2020, 5:53 PM

Change 589536 merged by jenkins-bot:
[mediawiki/extensions/Flow@master] Avoid use of wfForeignMemcKey()

https://gerrit.wikimedia.org/r/589536

Krinkle removed aaron as the assignee of this task.May 13 2020, 11:41 PM
Krinkle moved this task from Doing to Blocked or Needs-CR on the Performance-Team board.
Krinkle added a subscriber: Krinkle.

Awaiting the MW 1.36 cycle for the next step.

aaron claimed this task.Oct 26 2020, 6:37 PM
aaron moved this task from Blocked or Needs-CR to Doing on the Performance-Team board.

Change 636479 had a related patch set uploaded (by Aaron Schulz; owner: Aaron Schulz):
[mediawiki/core@master] Remove deprecated wfForeignMemcKey()

https://gerrit.wikimedia.org/r/636479

Change 636479 merged by jenkins-bot:
[mediawiki/core@master] Remove deprecated wfForeignMemcKey()

https://gerrit.wikimedia.org/r/636479

aaron closed this task as Resolved.Oct 30 2020, 9:41 PM